$primary: #223843;
$secondary: #EFF1F3;

$thirdly: #DBD3D8;
$accent_1: #D8B4A0;
$accent_2: #D77A61;

body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
        'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
        sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

code {
    font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
        monospace;
}

.App {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: $primary;
    min-height: 100vh;
    color: $secondary;
}

.centered {
    text-align: center;
}

.right {
    float: right;
}

input[type=button] {
    /* Styles */
    border: 1px solid $accent_1;
    /* Fallback */
    border: 1px solid $secondary(0, 0, 0, 0.4);
    box-shadow:
        inset 0 1px 0 rgba(255, 255, 255, 0.3),
        inset 0 10px 10px rgba(255, 255, 255, 0.1);
    border-radius: 3px;
    background: $secondary;
    cursor: pointer;
}

input[type=text] {
    /* Size and position */
    padding: 8px 5px;
    font-size: 12px;

    /* Styles */
    background: linear-gradient(#cfcfcf, #cbdaf0);
    border: 1px solid $secondary;
    box-shadow:
        0 1px 0 rgba(255, 255, 255, 0.1);
    border-radius: 3px;

    /* Font styles */
    font-family: 'Ubuntu', 'Lato', sans-serif;
    color: rgb(65, 65, 65);


}

input[type=text]:hover,
label:hover~input[type=text] {
    background: $secondary;
}


#login {
    form {
        /* Size and position */
        width: 500px;
        position: relative;
        margin: 60px auto 30px;
        padding: 10px;
        overflow: hidden;

        /* Styles */
        background: $secondary;
        border-radius: 0.4em;
        border: 1px solid #191919;
        box-shadow:
            inset 0 0 2px 1px rgba(255, 255, 255, 0.08),
            0 16px 10px -8px rgba(0, 0, 0, 0.6);

        label {
            /* Size and position */
            width: 50%;
            float: left;
            padding-top: 9px;

            /* Styles */
            color: $accent_1;
            text-transform: uppercase;
        }

        input[type=text] {
            /* Size and position */
            width: 50%;
            float: left;
            padding: 0;
        }

        input[type=button] {
            width: 100%;
            padding: 8px 5px;
        }
    }
}

.react-tabs__tab-list,
#chatBar *,
#message-form {
    color: $accent_1;
    background-color: $secondary;

    li {
        svg {
            margin-right: 5px;
        }

        h4 {
            display: inline-block;
            margin: 0
        }
    }
}

.react-tabs__tab--selected {
    color: $accent_2 !important;
    background-color: $primary !important;
}


#chatPage {
    width: 80%;
    min-height: 50%;
    border: 2px solid $secondary;

    /* Styles */
    #chatBar {
        float: right;

        button {
            margin: 0 2px;
            display: inline-block;
            border: 1px solid transparent;
            border-bottom: none;
            bottom: -1px;
            position: relative;
            list-style: none;
            padding: 6px 12px;
            cursor: pointer;
        }

        #join-channel {
            display: inline-block;

            input[type=text] {
                padding: 7px;
            }
        }
    }

    #message-list {
        padding: 30px;
        overflow-y: scroll;
        max-height: 70vh;

        .bubble {
            // layout
            position: relative;
            color: $primary;
            // looks
            background-color: $secondary;
            padding: 1em;
            margin-top: 20px;
            border-radius: 1rem;
            box-shadow: 0 0.125rem 0.5rem rgba(0, 0, 0, .3), 0 0.0625rem 0.125rem rgba(0, 0, 0, .2);

            h4 {
                margin: 10px 0
            }
        }

        .bubble::before {
            // layout
            content: '';
            position: absolute;
            width: 0;
            height: 0;
            bottom: 100%;
            left: 1.5em; // offset should move with padding of parent
            border: .75rem solid transparent;
            border-top: none;

            // looks
            border-bottom-color: $secondary;
            filter: drop-shadow(0 -0.0625rem 0.0625rem rgba(0, 0, 0, .1));
        }

    }

    #message-form {
        text-align: right;
        width: 100%;

        input {
            margin: 0 10px;
        }
    }
}